Update quick action
curl --request PATCH \
--url https://api.example.com/api/core/use-cases/{use_case_id}/quick-actions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"quick_action": {
"id": "<string>",
"label": {
"en": "<string>",
"de": "<string>",
"es": "<string>",
"fr": "<string>",
"it": "<string>",
"nl": "<string>",
"pl": "<string>",
"pt": "<string>",
"sv": "<string>"
},
"prompt_task": "<string>",
"prompt_output_format": "<string>",
"prompt_example_section": "<string>",
"icon": "fa-solid fa-bolt"
}
}
'import requests
url = "https://api.example.com/api/core/use-cases/{use_case_id}/quick-actions"
payload = { "quick_action": {
"id": "<string>",
"label": {
"en": "<string>",
"de": "<string>",
"es": "<string>",
"fr": "<string>",
"it": "<string>",
"nl": "<string>",
"pl": "<string>",
"pt": "<string>",
"sv": "<string>"
},
"prompt_task": "<string>",
"prompt_output_format": "<string>",
"prompt_example_section": "<string>",
"icon": "fa-solid fa-bolt"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
quick_action: {
id: '<string>',
label: {
en: '<string>',
de: '<string>',
es: '<string>',
fr: '<string>',
it: '<string>',
nl: '<string>',
pl: '<string>',
pt: '<string>',
sv: '<string>'
},
prompt_task: '<string>',
prompt_output_format: '<string>',
prompt_example_section: '<string>',
icon: 'fa-solid fa-bolt'
}
})
};
fetch('https://api.example.com/api/core/use-cases/{use_case_id}/quick-actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"quick_action": {
"id": "<string>",
"label": {
"en": "<string>",
"de": "<string>",
"es": "<string>",
"fr": "<string>",
"it": "<string>",
"nl": "<string>",
"pl": "<string>",
"pt": "<string>",
"sv": "<string>"
},
"prompt_task": "<string>",
"prompt_output_format": "<string>",
"prompt_example_section": "<string>",
"icon": "fa-solid fa-bolt"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}quick-actions
Update quick action
PATCH
/
api
/
core
/
use-cases
/
{use_case_id}
/
quick-actions
Update quick action
Authorizations
BearerAuthAuthorizationProvider
Bearer token authentication. Format: 'Bearer '
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Response
Successful Response
Response schema for create/update quick action endpoints.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

